/*
 * NextCheckBoxUI.java	0.1
 *
 *	Copyright (c) 1998	Makoto Kato
 *	Copyright (c) 1997-1998	Sun Microsystems, Inc.
 */

package nextlf.plaf;

import javax.swing.*;
import javax.swing.plaf.*;
import java.awt.*;

/*
 * A NEXTSTEP/OPENSTEP L&F implementation of CheckBoxUI.
 */
public class NextCheckBoxUI extends NextRadioButtonUI
{
	private final static String	propertyPrefix = "CheckBox" + ".";
	private boolean	defaults_initialized = false;


	public static ComponentUI createUI(JComponent c)
	{
		return new NextCheckBoxUI();
	}


	public String getPropertyPrefix()
	{
		return propertyPrefix;
	}


	public void installDefaults(AbstractButton b)
	{
		super.installDefaults(b);

		if(!defaults_initialized)
		{
			icon = UIManager.getIcon(getPropertyPrefix() + "icon");
			defaults_initialized = true;
		}
	}


	protected void uninstallDefaults( AbstractButton b )
	{
		super.uninstallDefaults( b );
		defaults_initialized = false;
	}
}
