/*
 * NextComboBoxRenderer.java	0.1
 *
 *	Copyright (c) 1998	Makoto Kato
 *	Copyright (c) 1997-1998	Sun Microsystems, Inc.
 */
package nextlf.plaf;

import javax.swing.*;
import javax.swing.event.*;
import javax.swing.border.*;

import java.awt.Component;
import java.awt.Color;

import java.io.Serializable;

/*
 * A NEXTSTEP/OPENSTEP L&F implementation of Renderer for NextComboBoxUI.
 */

public class NextComboBoxRenderer extends JLabel implements ListCellRenderer, Serializable
{
    protected static Border noFocusBorder = new EmptyBorder(1, 1, 1, 1);

	public NextComboBoxRenderer()
	{
		super();
		setOpaque(true);
		setBorder(noFocusBorder);
    }


	public Component getListCellRendererComponent( JList list, Object value, int index, boolean isSelected, boolean cellHasFocus)
    {
        setHorizontalAlignment(SwingConstants.LEFT);

		if (isSelected)
		{
            setBackground(list.getSelectionBackground());
            setForeground(list.getSelectionForeground());
		}
		else
		{
            setBackground(list.getBackground());
            setForeground(list.getForeground());
        }

		if (value instanceof Icon)
			setIcon((Icon)value);
		else
			setText((value == null) ? "" : value.toString());

		return this;
	}


	public static class UIResource extends NextComboBoxRenderer implements javax.swing.plaf.UIResource
	{
	}
}
