/*
 *	NextOptionPaneUI.java	0.1
 *
 *	Copyright (c) 1998 Makoto Kato <m_kato@ga2.so-net.ne.jp>
 *	Copyright (c) 1997-1998 Sun Microsystems, Inc.
 */
package nextlf.plaf;

import javax.swing.*;
import javax.swing.plaf.basic.BasicOptionPaneUI;
import javax.swing.plaf.ComponentUI;
import java.awt.Color;
import java.awt.Component;
import java.awt.Container;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Insets;
import java.awt.Rectangle;

/*
 * A NEXTSTEP/OPENSTEP L&F implementation of OptionPaneUI.
 */

public class NextOptionPaneUI extends BasicOptionPaneUI
{
    /**
      * Creates a new NextOptionPaneUI instance.
      */
	public static ComponentUI createUI(JComponent x)
	{
		return new NextOptionPaneUI();
	}


	protected Container createButtonArea()
	{
		Container	b = super.createButtonArea();

		if(b != null && b.getLayout() instanceof ButtonAreaLayout)
			((ButtonAreaLayout)b.getLayout()).setCentersChildren(false);

		return b;
	}

    /**
     * Returns null, does not impose a minimum size.
     */
	public Dimension getMinimumOptionPaneSize()
	{
		return null;
	}


	protected Container createSeparator()
	{
		return new JPanel()
		{
			public Dimension getPreferredSize()
			{
				return new Dimension(10, 2);
			}

			public void paint(Graphics g)
			{
				int width = getWidth();
				g.setColor(Color.darkGray);
				g.drawLine(0, 0, width, 0);
				g.setColor(Color.white);
				g.drawLine(0, 1, width, 1);
			}
		};
    }


	protected void addIcon(Container top)
	{
		/* Create the icon. */
		Icon	sideIcon = getIcon();

		if (sideIcon != null)
		{
			JLabel	iconLabel = new JLabel(sideIcon);

			iconLabel.setVerticalAlignment(SwingConstants.CENTER);
			top.add(iconLabel, "West");
		}
	}
}
