/*
 * NextScrollTrackPattern.java	0.1
 *
 *	Copyright (c) 1998 Makoto Kato <m_kato@ga2.so-net.ne.jp>
 *	Copyright (c) 1997-1998 Sun Microsystems, Inc.
 */
package nextlf.plaf;

import java.awt.*;
import java.awt.image.MemoryImageSource;
import javax.swing.Icon;

/*
 * A NEXTSTEP/OPENSTEP L&F implementation of track pattern for ScrollBarUII.
 */

class NextScrollTrackPattern implements Icon
{
	private int width;
	private int height;
	private static MemoryImageSource	pattern;

	NextScrollTrackPattern( int width, int height )
	{
		this.width = width;
		this.height = height;

		createPattern();
	}

	// Create hatch pattern
	protected void createPattern()
	{
		int	pix[] = new int[width * height];
		int	index = 0;

		for( int y = 0; y < height; y++ )
		{
			for( int x = 0; x < width; x++ )
			{
				if( y % 2 == x % 2 )
					pix[index++] = (255 << 24) + (80 << 16) + (80 << 8) + 80;
				else
					pix[index++] = (255 << 24) + (160 << 16) + (160 << 8) + 160;
			}
		}

		pattern = new MemoryImageSource( width, height, pix, 0, width);
		pattern.setAnimated( false);
	}


	public int getIconWidth()
	{
		return this.width;
	}


	public int getIconHeight()
	{
		return this.height;
	}


	public void paintIcon(Component c, Graphics g, int x, int y)
	{
		Image	image = c.createImage( pattern );
		g.drawImage( image, x, y, width, height, null );
	}
}
