/*
 * NextToggleButtonUI.java	0.1
 *
 *	Copyright (c) 1998 Makoto Kato <m_kato@ga2.so-net.ne.jp>
 *	Copyright (c) 1997-1998 Sun Microsystems, Inc.
 */

package nextlf.plaf;

import java.awt.*;
import java.awt.event.*;

import javax.swing.*;
import javax.swing.border.*;
import javax.swing.plaf.*;
import javax.swing.plaf.basic.*;


/*
 */
public class NextToggleButtonUI extends BasicToggleButtonUI
{
	protected Color	selectColor;
	private boolean	defaults_initialized = false;


	public static ComponentUI createUI(JComponent b)
	{
		return new NextToggleButtonUI();
	}


	public void installDefaults(AbstractButton b)
	{
		super.installDefaults(b);

		if(!defaults_initialized)
		{
			selectColor = UIManager.getColor(getPropertyPrefix() + "select");
			defaults_initialized = true;
		}

		b.setOpaque(false);
	}


	protected void uninstallDefaults(AbstractButton b)
	{
		super.uninstallDefaults(b);
		defaults_initialized = false;
	}


	protected Color getSelectColor()
	{
		return selectColor;
	}


	protected void paintButtonPressed(Graphics g, AbstractButton b)
	{
		if (b.isContentAreaFilled())
		{
			Color	oldColor = g.getColor();
			Dimension	size = b.getSize();
			Insets	insets = b.getInsets();
			Insets	margin = b.getMargin();
//			Border	border = b.getBorder();

		    g.setColor(getSelectColor());
			g.fillRect(insets.left - margin.left, insets.top - margin.top, size.width - (insets.left-margin.left) - (insets.right - margin.right), size.height - (insets.top-margin.top) - (insets.bottom - margin.bottom));
			g.setColor(oldColor);
		}
    }

	public Insets getInsets(JComponent c)
	{
		Border	border = c.getBorder();
		Insets	i = border != null ? border.getBorderInsets(c) : new Insets(0,0,0,0);

		return i;
	}
}
